Short Links & Analytics
Toggle short link active status
PATCH
header
X-Api-Key<token>SMS Pro API Key (sk_live_... or sk_test_...)
id*stringFormat
uuidapplication/json- body
active*booleanShort link active state updated
application/json- response
status?stringdata?curl -X PATCH 'https://api.smspro.com/api/v1/public/shortlinks/497f6eca-6276-4993-bfeb-53cbbbba6f08/status' \ -H 'Content-Type: application/json' \ -d '{ "active": true}'Example Response
{ "status": "string", "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "shortCode": "string", "shortUrl": "string", "originalUrl": "string", "title": "string", "active": true, "clickCount": 0, "createdAt": "2019-08-24T14:15:22Z" }}